## kitemviews 5.54.0

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.5)

set(KF5_VERSION "5.54.0") # handled by release scripts
project(KItemViews VERSION ${KF5_VERSION})

include(FeatureSummary)
find_package(ECM 5.54.0  NO_MODULE)
set_package_properties(ECM PROPERTIES TYPE REQUIRED DESCRIPTION "Extra CMake Modules." URL "https://projects.kde.org/projects/kdesupport/extra-cmake-modules")
feature_summary(WHAT REQUIRED_PACKAGES_NOT_FOUND FATAL_ON_MISSING_REQUIRED_PACKAGES)

set(CMAKE_MODULE_PATH ${ECM_MODULE_PATH} ${ECM_KDE_MODULE_DIR})

set(REQUIRED_QT_VERSION 5.9.0)
find_package(Qt5 ${REQUIRED_QT_VERSION} CONFIG REQUIRED Widgets)
include(KDEInstallDirs)
include(KDEFrameworkCompilerSettings NO_POLICY_SCOPE)
include(KDECMakeSettings)


include(GenerateExportHeader)
include(ECMSetupVersion)
include(ECMGenerateHeaders)
include(ECMAddQch)

include(ECMPoQmTools)

option(BUILD_QCH "Build API documentation in QCH format (for e.g. Qt Assistant, Qt Creator & KDevelop)" OFF)
add_feature_info(QCH ${BUILD_QCH} "API documentation in QCH format (for e.g. Qt Assistant, Qt Creator & KDevelop)")

ecm_setup_version(PROJECT VARIABLE_PREFIX KITEMVIEWS
                        VERSION_HEADER "${CMAKE_CURRENT_BINARY_DIR}/kitemviews_version.h"
                        PACKAGE_VERSION_FILE "${CMAKE_CURRENT_BINARY_DIR}/KF5ItemViewsConfigVersion.cmake"
                        SOVERSION 5)


if (IS_DIRECTORY "${CMAKE_CURRENT_SOURCE_DIR}/po")
    ecm_install_po_files_as_qm(po)
endif()

add_subdirectory(src)
if (BUILD_TESTING)
    add_subdirectory(autotests)
    add_subdirectory(tests)
endif()

# create a Config.cmake and a ConfigVersion.cmake file and install them
set(CMAKECONFIG_INSTALL_DIR "${KDE_INSTALL_CMAKEPACKAGEDIR}/KF5ItemViews")

if (BUILD_QCH)
    ecm_install_qch_export(
        TARGETS KF5ItemViews_QCH
        FILE KF5ItemViewsQCHTargets.cmake
        DESTINATION "${CMAKECONFIG_INSTALL_DIR}"
    )
    set(PACKAGE_INCLUDE_QCHTARGETS "include(\"\${CMAKE_CURRENT_LIST_DIR}/KF5ItemViewsQCHTargets.cmake\")")
endif()

include(CMakePackageConfigHelpers)

configure_package_config_file(
  "${CMAKE_CURRENT_SOURCE_DIR}/KF5ItemViewsConfig.cmake.in"
  "${CMAKE_CURRENT_BINARY_DIR}/KF5ItemViewsConfig.cmake"
  INSTALL_DESTINATION  ${CMAKECONFIG_INSTALL_DIR}
)

install(FILES
  "${CMAKE_CURRENT_BINARY_DIR}/KF5ItemViewsConfig.cmake"
  "${CMAKE_CURRENT_BINARY_DIR}/KF5ItemViewsConfigVersion.cmake"
  DESTINATION "${CMAKECONFIG_INSTALL_DIR}"
  COMPONENT Devel
)

install(EXPORT KF5ItemViewsTargets DESTINATION "${CMAKECONFIG_INSTALL_DIR}" FILE KF5ItemViewsTargets.cmake NAMESPACE KF5:: )

install(FILES
   ${CMAKE_CURRENT_BINARY_DIR}/kitemviews_version.h
  DESTINATION ${KDE_INSTALL_INCLUDEDIR_KF5} COMPONENT Devel
)

feature_summary(WHAT ALL FATAL_ON_MISSING_REQUIRED_PACKAGES)

=== debian/changelog ===
kitemviews (5.54.0-1) unstable; urgency=medium

  * New upstream release (5.52.0).
  * Update build-deps and deps with the info from cmake
  * New upstream release (5.53.0).
  * Update build-deps and deps with the info from cmake
  * New upstream release (5.54.0).
  * Update build-deps and deps with the info from cmake
  * Bump group breaks (5.54)
  * Release to unstable

 -- Maximiliano Curia <maxy@debian.org>  Thu, 17 Jan 2019 19:27:04 -0300

kitemviews (5.51.0-1) unstable; urgency=medium

  * New upstream release (5.50.0).
  * Update build-deps and deps with the info from cmake
  * Bump group breaks (5.50)
  * New upstream release (5.51.0).
  * Update build-deps and deps with the info from cmake
  * Bump group breaks (5.51)
  * Release to unstable

 -- Maximiliano Curia <maxy@debian.org>  Wed, 07 Nov 2018 17:17:03 +0100

kitemviews (5.49.0-1) unstable; urgency=medium

  * New upstream release (5.48.0).
  * Update build-deps and deps with the info from cmake
  * Update copyright information
  * New upstream release (5.49.0).
  * Update build-deps and deps with the info from cmake
  * Bump group breaks (5.49)
  * Release to unstable

 -- Maximiliano Curia <maxy@debian.org>  Fri, 17 Aug 2018 16:18:44 +0200

kitemviews (5.47.0-1) unstable; urgency=medium

  * New upstream release (5.47.0).
  * Update build-deps and deps with the info from cmake
  * Bump group breaks (5.47)
  * Release to unstable

 -- Maximiliano Curia <maxy@debian.org>  Fri, 15 Jun 2018 12:09:46 +0200

=== debian/control ===
Source: kitemviews
Section: libs
Priority: optional
Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Maximiliano Curia <maxy@debian.org>
Build-Depends: cmake (>= 3.5~),
               debhelper (>= 11~),
               doxygen,
               extra-cmake-modules (>= 5.54.0~),
               graphviz,
               libqt5sql5-sqlite:native,
               pkg-kde-tools (>= 0.15.15ubuntu1~),
               qtbase5-dev (>= 5.9.0~),
               qttools5-dev (>= 5.4),
               qttools5-dev-tools (>= 5.4),
Standards-Version: 4.1.4
Homepage: https://projects.kde.org/projects/frameworks/kitemviews
Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/kitemviews
Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/kitemviews.git

Package: libkf5itemviews-data
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: Qt library with additional widgets for ItemModels
 A Qt library which contains additional widgets for ItemModels, such as
 grouping into categories and filtering
 .
 This package is part of KDE Frameworks 5.
 .
 This package contains the translations.

Package: libkf5itemviews-dev
Architecture: any
Section: libdevel
Depends: libkf5itemviews5 (= ${binary:Version}),
         qtbase5-dev (>= 5.9.0~),
         ${misc:Depends},
Recommends: libkf5itemviews-doc (= ${source:Version})
Description: Qt library with additional widgets for ItemModels
 A Qt library which contains additional widgets for ItemModels, such as
 grouping into categories and filtering
 .
 This package is part of KDE Frameworks 5.
 .
 This package contains the development files.
Breaks: kio-dev (<< 5.28),
        libkf5iconthemes-dev (<< 5.54),
        libkf5kcmutils-dev (<< 5.54),
        libkf5kio-dev (<< 5.54),
        libkf5xmlgui-dev (<< 5.54),

Package: libkf5itemviews-doc
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}
Description: Qt library with additional widgets for ItemModels (documentation)
 A Qt library which contains additional widgets for ItemModels, such as
 grouping into categories and filtering
 .
 This package is part of KDE Frameworks 5.
 .
 This package contains the qch documentation files.
Section: doc

Package: libkf5itemviews5
Architecture: any
Multi-Arch: same
Depends: libkf5itemviews-data (= ${source:Version}),
         ${misc:Depends},
         ${shlibs:Depends},
Description: Qt library with additional widgets for ItemModels
 A Qt library which contains additional widgets for ItemModels, such as
 grouping into categories and filtering
 .
 This package is part of KDE Frameworks 5.
Breaks: kdesignerplugin (<< 5.54),
        kio (<< 5.54),
        kross (<< 5.42),
        libkf5iconthemes5 (<< 5.54),
        libkf5kcmutils5 (<< 5.54),
        libkf5kdelibs4support5 (<< 5.42),
        libkf5kdelibs4support5-bin (<< 5.54),
        libkf5kiofilewidgets5 (<< 5.54),
        libkf5newstuff5 (<< 5.54),
        libkf5peoplewidgets5 (<< 5.54),
        libkf5texteditor5 (<< 5.54),
        libkf5xmlgui5 (<< 5.54),

## kitemviews 5.56.0

=== debian/changelog ===
kitemviews (5.56.0-0ubuntu1) disco; urgency=medium

  * New upstream release (5.56.0)

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Sat, 09 Mar 2019 16:36:26 +0000

kitemviews (5.55.0-0ubuntu1) disco; urgency=medium

  * New upstream release (5.55.0)

 -- Rik Mills <rikmills@kubuntu.org>  Wed, 13 Feb 2019 08:31:44 +0000

kitemviews (5.54.0-0ubuntu1) disco; urgency=medium

  * New upstream release (5.54.0)

 -- Rik Mills <rikmills@kubuntu.org>  Sun, 13 Jan 2019 12:35:22 +0000

kitemviews (5.53.0-0ubuntu1) disco; urgency=medium

  * New upstream release (5.53.0)

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Sun, 09 Dec 2018 20:49:01 +0000

kitemviews (5.52.0-0ubuntu1) disco; urgency=medium

  [ Rik Mills ]
  * New upstream release (5.51.0)

  [ José Manuel Santamaría Lema ]
  * New upstream release (5.52.0)

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Thu, 22 Nov 2018 14:42:30 +0000

=== debian/control ===
Source: kitemviews
Section: libs
Priority: optional
Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Maximiliano Curia <maxy@debian.org>
Build-Depends: cmake (>= 3.0~),
               debhelper (>= 11~),
               doxygen,
               extra-cmake-modules (>= 5.56.0~),
               graphviz,
               libqt5sql5-sqlite:native,
               pkg-kde-tools (>= 0.15.15ubuntu1~),
               qtbase5-dev (>= 5.8.0~),
               qttools5-dev (>= 5.6.1~),
               qttools5-dev-tools (>= 5.6.1~),
Standards-Version: 4.1.4
Homepage: https://projects.kde.org/projects/frameworks/kitemviews
Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kitemviews
Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kitemviews

Package: libkf5itemviews-data
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: Qt library with additional widgets for ItemModels
 A Qt library which contains additional widgets for ItemModels, such as
 grouping into categories and filtering
 .
 This package is part of KDE Frameworks 5.
 .
 This package contains the translations.

Package: libkf5itemviews-dev
Architecture: any
Section: libdevel
Depends: libkf5itemviews5 (= ${binary:Version}),
         qtbase5-dev (>= 5.8.0~),
         ${misc:Depends},
Recommends: libkf5itemviews-doc (= ${source:Version})
Breaks: kio-dev (<< 5.28)
Description: Qt library with additional widgets for ItemModels
 A Qt library which contains additional widgets for ItemModels, such as
 grouping into categories and filtering
 .
 This package is part of KDE Frameworks 5.
 .
 This package contains the development files.

Package: libkf5itemviews-doc
Architecture: all
Multi-Arch: foreign
Section: doc
Depends: ${misc:Depends}
Description: Qt library with additional widgets for ItemModels (documentation)
 A Qt library which contains additional widgets for ItemModels, such as
 grouping into categories and filtering
 .
 This package is part of KDE Frameworks 5.
 .
 This package contains the qch documentation files.

Package: libkf5itemviews5
Architecture: any
Multi-Arch: same
Depends: libkf5itemviews-data (= ${source:Version}),
         ${misc:Depends},
         ${shlibs:Depends},
Breaks: kross (<< 5.42), libkf5kdelibs4support5 (<< 5.42)
Description: Qt library with additional widgets for ItemModels
 A Qt library which contains additional widgets for ItemModels, such as
 grouping into categories and filtering
 .
 This package is part of KDE Frameworks 5.

## kitemviews 5.62.0

=== debian/changelog ===
kitemviews (5.62.0-1) unstable; urgency=medium

  * New upstream release (5.62.0).
  * Update build-deps and deps with the info from cmake
  * Release to unstable

 -- Maximiliano Curia <maxy@debian.org>  Fri, 20 Sep 2019 10:13:06 -0700

kitemviews (5.61.0-1) experimental; urgency=medium

  * New revision
  * Salsa CI automatic initialization by Tuco
  * New upstream release (5.61.0).
  * Update build-deps and deps with the info from cmake
  * Release to experimental

 -- Maximiliano Curia <maxy@debian.org>  Mon, 09 Sep 2019 21:10:43 +0100

=== debian/control ===
Source: kitemviews
Section: libs
Priority: optional
Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Maximiliano Curia <maxy@debian.org>
Build-Depends: cmake (>= 3.5~),
               debhelper (>= 11~),
               doxygen,
               extra-cmake-modules (>= 5.62.0~),
               graphviz,
               libqt5sql5-sqlite:native,
               pkg-kde-tools (>= 0.15.15ubuntu1~),
               qtbase5-dev (>= 5.11.0~),
               qttools5-dev (>= 5.4),
               qttools5-dev-tools (>= 5.4),
Standards-Version: 4.1.4
Homepage: https://projects.kde.org/projects/frameworks/kitemviews
Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/kitemviews
Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/kitemviews.git

Package: libkf5itemviews-data
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: Qt library with additional widgets for ItemModels
 A Qt library which contains additional widgets for ItemModels, such as
 grouping into categories and filtering
 .
 This package is part of KDE Frameworks 5.
 .
 This package contains the translations.

Package: libkf5itemviews-dev
Architecture: any
Section: libdevel
Depends: libkf5itemviews5 (= ${binary:Version}),
         qtbase5-dev (>= 5.11.0~),
         ${misc:Depends},
Recommends: libkf5itemviews-doc (= ${source:Version})
Description: Qt library with additional widgets for ItemModels
 A Qt library which contains additional widgets for ItemModels, such as
 grouping into categories and filtering
 .
 This package is part of KDE Frameworks 5.
 .
 This package contains the development files.
Breaks: kio-dev (<< 5.28),
        libkf5iconthemes-dev (<< 5.54),
        libkf5kcmutils-dev (<< 5.54),
        libkf5kio-dev (<< 5.54),
        libkf5xmlgui-dev (<< 5.54),

Package: libkf5itemviews-doc
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}
Description: Qt library with additional widgets for ItemModels (documentation)
 A Qt library which contains additional widgets for ItemModels, such as
 grouping into categories and filtering
 .
 This package is part of KDE Frameworks 5.
 .
 This package contains the qch documentation files.
Section: doc

Package: libkf5itemviews5
Architecture: any
Multi-Arch: same
Depends: libkf5itemviews-data (= ${source:Version}),
         ${misc:Depends},
         ${shlibs:Depends},
Description: Qt library with additional widgets for ItemModels
 A Qt library which contains additional widgets for ItemModels, such as
 grouping into categories and filtering
 .
 This package is part of KDE Frameworks 5.
Breaks: kdesignerplugin (<< 5.54),
        kio (<< 5.54),
        kross (<< 5.42),
        libkf5iconthemes5 (<< 5.54),
        libkf5kcmutils5 (<< 5.54),
        libkf5kdelibs4support5 (<< 5.42),
        libkf5kdelibs4support5-bin (<< 5.54),
        libkf5kiofilewidgets5 (<< 5.54),
        libkf5newstuff5 (<< 5.54),
        libkf5peoplewidgets5 (<< 5.54),
        libkf5texteditor5 (<< 5.54),
        libkf5xmlgui5 (<< 5.54),

## kitemviews 5.68.0

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,31 +1,36 @@
 cmake_minimum_required(VERSION 3.5)
 
-set(KF5_VERSION "5.54.0") # handled by release scripts
+set(KF5_VERSION "5.68.0") # handled by release scripts
 project(KItemViews VERSION ${KF5_VERSION})
 
 include(FeatureSummary)
-find_package(ECM 5.54.0  NO_MODULE)
-set_package_properties(ECM PROPERTIES TYPE REQUIRED DESCRIPTION "Extra CMake Modules." URL "https://projects.kde.org/projects/kdesupport/extra-cmake-modules")
+find_package(ECM 5.68.0  NO_MODULE)
+set_package_properties(ECM PROPERTIES TYPE REQUIRED DESCRIPTION "Extra CMake Modules." URL "https://commits.kde.org/extra-cmake-modules")
 feature_summary(WHAT REQUIRED_PACKAGES_NOT_FOUND FATAL_ON_MISSING_REQUIRED_PACKAGES)
 
-set(CMAKE_MODULE_PATH ${ECM_MODULE_PATH} ${ECM_KDE_MODULE_DIR})
+set(CMAKE_MODULE_PATH ${ECM_MODULE_PATH})
 
-set(REQUIRED_QT_VERSION 5.9.0)
+set(REQUIRED_QT_VERSION 5.12.0)
 find_package(Qt5 ${REQUIRED_QT_VERSION} CONFIG REQUIRED Widgets)
 include(KDEInstallDirs)
 include(KDEFrameworkCompilerSettings NO_POLICY_SCOPE)
 include(KDECMakeSettings)
 
 
-include(GenerateExportHeader)
+include(ECMGenerateExportHeader)
 include(ECMSetupVersion)
 include(ECMGenerateHeaders)
 include(ECMAddQch)
 
 include(ECMPoQmTools)
 
+set(EXCLUDE_DEPRECATED_BEFORE_AND_AT 0 CACHE STRING "Control the range of deprecated API excluded from the build [default=0].")
+
 option(BUILD_QCH "Build API documentation in QCH format (for e.g. Qt Assistant, Qt Creator & KDevelop)" OFF)
 add_feature_info(QCH ${BUILD_QCH} "API documentation in QCH format (for e.g. Qt Assistant, Qt Creator & KDevelop)")
+
+option(BUILD_DESIGNERPLUGIN "Build plugin for Qt Designer" ON)
+add_feature_info(DESIGNERPLUGIN ${BUILD_DESIGNERPLUGIN} "Build plugin for Qt Designer")
 
 ecm_setup_version(PROJECT VARIABLE_PREFIX KITEMVIEWS
                         VERSION_HEADER "${CMAKE_CURRENT_BINARY_DIR}/kitemviews_version.h"
@@ -36,7 +41,8 @@
 if (IS_DIRECTORY "${CMAKE_CURRENT_SOURCE_DIR}/po")
     ecm_install_po_files_as_qm(po)
 endif()
-
+add_definitions(-DQT_DISABLE_DEPRECATED_BEFORE=0x050d00)
+add_definitions(-DQT_NO_FOREACH)
 add_subdirectory(src)
 if (BUILD_TESTING)
     add_subdirectory(autotests)

=== debian/changelog ===
kitemviews (5.68.0-0ubuntu1) focal; urgency=medium

  * New upstream release (5.68.0)

 -- Rik Mills <rikmills@kde.org>  Wed, 25 Mar 2020 20:58:06 +0000

kitemviews (5.67.0-0ubuntu1) focal; urgency=medium

  * New upstream release (5.67.0)

 -- Rik Mills <rikmills@kde.org>  Sat, 08 Feb 2020 09:50:51 +0000

kitemviews (5.66.0-0ubuntu1) focal; urgency=medium

  * New upstream release (5.66.0)

 -- Rik Mills <rikmills@kde.org>  Sat, 11 Jan 2020 13:19:45 +0000

kitemviews (5.65.0-0ubuntu1) focal; urgency=medium

  * New upstream release (5.65.0)

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Sat, 14 Dec 2019 23:00:56 +0000

kitemviews (5.64.0-0ubuntu1) focal; urgency=medium

  * New upstream release (5.63.0)
  * New upstream release (5.64.0)

 -- Rik Mills <rikmills@kde.org>  Sat, 09 Nov 2019 21:25:03 +0000

kitemviews (5.62.0-0ubuntu1) eoan; urgency=medium

  * Install Qt designer plugin in -dev package.
  * New upstream release (5.62.0)

 -- Rik Mills <rikmills@kubuntu.org>  Sat, 14 Sep 2019 08:07:28 +0100

kitemviews (5.61.0-0ubuntu1) eoan; urgency=medium

  * New upstream release (5.61.0)

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Mon, 12 Aug 2019 10:42:57 +0100

kitemviews (5.60.0-0ubuntu1) eoan; urgency=medium

  * New upstream release (5.60.0)

 -- Rik Mills <rikmills@kubuntu.org>  Sat, 20 Jul 2019 08:16:40 +0100

kitemviews (5.59.0-0ubuntu1) eoan; urgency=medium

  * New upstream release (5.59.0)

 -- Rik Mills <rikmills@kubuntu.org>  Wed, 12 Jun 2019 11:19:49 +0100

kitemviews (5.58.0-0ubuntu1) eoan; urgency=medium

  * New upstream release (5.58.0)

 -- Rik Mills <rikmills@kubuntu.org>  Mon, 13 May 2019 15:40:50 +0100

kitemviews (5.57.0-0ubuntu1) eoan; urgency=medium

  * New upstream release (5.57.0)

 -- Rik Mills <rikmills@kubuntu.org>  Mon, 22 Apr 2019 08:38:27 +0100

=== debian/control ===
Source: kitemviews
Section: libs
Priority: optional
Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Maximiliano Curia <maxy@debian.org>
Build-Depends: cmake (>= 3.0~),
               debhelper (>= 11~),
               doxygen,
               extra-cmake-modules (>= 5.68.0~),
               graphviz,
               libqt5sql5-sqlite:native,
               pkg-kde-tools (>= 0.15.15ubuntu1~),
               qtbase5-dev (>= 5.8.0~),
               qttools5-dev (>= 5.6.1~),
               qttools5-dev-tools (>= 5.6.1~),
Standards-Version: 4.1.4
Homepage: https://projects.kde.org/projects/frameworks/kitemviews
Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kitemviews
Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kitemviews

Package: libkf5itemviews-data
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: Qt library with additional widgets for ItemModels
 A Qt library which contains additional widgets for ItemModels, such as
 grouping into categories and filtering
 .
 This package is part of KDE Frameworks 5.
 .
 This package contains the translations.

Package: libkf5itemviews-dev
Architecture: any
Section: libdevel
Depends: libkf5itemviews5 (= ${binary:Version}),
         qtbase5-dev (>= 5.8.0~),
         ${misc:Depends},
         ${shlibs:Depends},
Recommends: libkf5itemviews-doc (= ${source:Version})
Breaks: kio-dev (<< 5.28)
Description: Qt library with additional widgets for ItemModels
 A Qt library which contains additional widgets for ItemModels, such as
 grouping into categories and filtering
 .
 This package is part of KDE Frameworks 5.
 .
 This package contains the development files.

Package: libkf5itemviews-doc
Architecture: all
Multi-Arch: foreign
Section: doc
Depends: ${misc:Depends}
Description: Qt library with additional widgets for ItemModels (documentation)
 A Qt library which contains additional widgets for ItemModels, such as
 grouping into categories and filtering
 .
 This package is part of KDE Frameworks 5.
 .
 This package contains the qch documentation files.

Package: libkf5itemviews5
Architecture: any
Multi-Arch: same
Depends: libkf5itemviews-data (= ${source:Version}),
         ${misc:Depends},
         ${shlibs:Depends},
Breaks: kross (<< 5.42), libkf5kdelibs4support5 (<< 5.42)
Description: Qt library with additional widgets for ItemModels
 A Qt library which contains additional widgets for ItemModels, such as
 grouping into categories and filtering
 .
 This package is part of KDE Frameworks 5.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

export DEB_LDFLAGS_MAINT_APPEND := -Wl,--as-needed

%:
	dh $@ --with kf5,pkgkde_symbolshelper --buildsystem kf5 --without build_stamp

override_dh_auto_configure:
	dh_auto_configure -- -DBUILD_QCH=ON

override_dh_strip:
	dh_strip --dbgsym-migration='libkf5itemviews5-dbg (<= 5.19.0-1~~)'

override_dh_auto_test:
	# Disable auto tests at build time
	:

## kitemviews 5.74.0

=== debian/changelog ===
kitemviews (5.74.0-0ubuntu1) groovy; urgency=medium

  * New upstream release (5.74.0)

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Sun, 13 Sep 2020 10:59:42 +0100

kitemviews (5.73.0-0ubuntu1) groovy; urgency=medium

  * New upstream release (5.73.0)
  * Update install files.

 -- Rik Mills <rikmills@kde.org>  Sat, 08 Aug 2020 10:58:43 +0100

kitemviews (5.72.0-0ubuntu2) groovy; urgency=medium

  * Disable build-needed testsuite.

 -- Rik Mills <rikmills@kde.org>  Mon, 03 Aug 2020 15:07:37 +0100

kitemviews (5.72.0-0ubuntu1) groovy; urgency=medium

  * New upstream release (5.72.0)

 -- Rik Mills <rikmills@kde.org>  Mon, 06 Jul 2020 20:33:20 +0100

kitemviews (5.71.0-0ubuntu1) groovy; urgency=medium

  * New upstream release (5.71.0)

 -- Rik Mills <rikmills@kde.org>  Sun, 14 Jun 2020 12:06:58 +0100

kitemviews (5.70.0-1ubuntu1) groovy; urgency=medium

  * Merge from debian unstable. Remaining changes:
    - Kubuntu Vcs fields.
    - debhelper-compat = 12 for backports.

 -- Rik Mills <rikmills@kde.org>  Tue, 09 Jun 2020 20:54:45 +0100

kitemviews (5.70.0-1) unstable; urgency=medium

  * Team upload.

  [ Pino Toscano ]
  * Update install files.
  * Use the ${shlibs:Depends} substvar in libkf5itemviews-dev, as it contains
    a binary now.

  [ Sandro Knauß ]
  * Bump compat level to 13.
  * New upstream release (5.70.0).
  * Update build-deps and deps with the info from cmake.
  * Wrap long lines in changelog entries: 5.21.0-1.
  * Set field Upstream-Contact in debian/copyright.
  * Remove obsolete fields Contact, Name from debian/upstream/metadata
    (already present in machine-readable debian/copyright).

 -- Sandro Knauß <hefee@debian.org>  Tue, 26 May 2020 23:56:28 +0200

kitemviews (5.70.0-0ubuntu1) groovy; urgency=medium

  [ José Manuel Santamaría Lema ]
  * New upstream release (5.69.0)

  [ Rik Mills ]
  * New upstream release (5.70.0)

 -- Rik Mills <rikmills@kde.org>  Sat, 09 May 2020 12:32:35 +0100

kitemviews (5.69.0-1) experimental; urgency=medium

  * Team upload.

  [ Sandro Knauß ]
  * Bump compat level to 12.
  * Bump Standards-Version to 4.5.0 (No changes needed).
  * Get rid of debug-symbol-migration package.
  * Add Rules-Requires-Root field to control.
  * New upstream release (5.69.0).
  * Update build-deps and deps with the info from cmake.
  * Enable hardening all.
  * Add Build-Depends-Package to symbols file.
  * Cleanup copyright file.
  * Remove not needed injection of linker flags.

 -- Sandro Knauß <hefee@debian.org>  Thu, 30 Apr 2020 00:58:55 +0200

=== debian/control ===
--- 
+++ 
@@ -3,20 +3,21 @@
 Priority: optional
 Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: Maximiliano Curia <maxy@debian.org>
-Build-Depends: cmake (>= 3.0~),
-               debhelper (>= 11~),
+Build-Depends: cmake (>= 3.5~),
+               debhelper-compat (= 12),
                doxygen,
-               extra-cmake-modules (>= 5.68.0~),
+               extra-cmake-modules (>= 5.74.0~),
                graphviz,
                libqt5sql5-sqlite:native,
                pkg-kde-tools (>= 0.15.15ubuntu1~),
-               qtbase5-dev (>= 5.8.0~),
-               qttools5-dev (>= 5.6.1~),
-               qttools5-dev-tools (>= 5.6.1~),
-Standards-Version: 4.1.4
+               qtbase5-dev (>= 5.12.0~),
+               qttools5-dev (>= 5.4),
+               qttools5-dev-tools (>= 5.4),
+Standards-Version: 4.5.0
 Homepage: https://projects.kde.org/projects/frameworks/kitemviews
 Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kitemviews
 Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kitemviews
+Rules-Requires-Root: no
 
 Package: libkf5itemviews-data
 Architecture: all
@@ -34,11 +35,10 @@
 Architecture: any
 Section: libdevel
 Depends: libkf5itemviews5 (= ${binary:Version}),
-         qtbase5-dev (>= 5.8.0~),
+         qtbase5-dev (>= 5.12.0~),
          ${misc:Depends},
          ${shlibs:Depends},
 Recommends: libkf5itemviews-doc (= ${source:Version})
-Breaks: kio-dev (<< 5.28)
 Description: Qt library with additional widgets for ItemModels
  A Qt library which contains additional widgets for ItemModels, such as
  grouping into categories and filtering
@@ -65,8 +65,7 @@
 Multi-Arch: same
 Depends: libkf5itemviews-data (= ${source:Version}),
          ${misc:Depends},
-         ${shlibs:Depends},
-Breaks: kross (<< 5.42), libkf5kdelibs4support5 (<< 5.42)
+         ${shlibs:Depends}
 Description: Qt library with additional widgets for ItemModels
  A Qt library which contains additional widgets for ItemModels, such as
  grouping into categories and filtering

## kitemviews 5.78.0

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,25 +1,25 @@
 cmake_minimum_required(VERSION 3.5)
 
-set(KF5_VERSION "5.68.0") # handled by release scripts
+set(KF5_VERSION "5.78.0") # handled by release scripts
 project(KItemViews VERSION ${KF5_VERSION})
 
 include(FeatureSummary)
-find_package(ECM 5.68.0  NO_MODULE)
+find_package(ECM 5.78.0  NO_MODULE)
 set_package_properties(ECM PROPERTIES TYPE REQUIRED DESCRIPTION "Extra CMake Modules." URL "https://commits.kde.org/extra-cmake-modules")
 feature_summary(WHAT REQUIRED_PACKAGES_NOT_FOUND FATAL_ON_MISSING_REQUIRED_PACKAGES)
 
 set(CMAKE_MODULE_PATH ${ECM_MODULE_PATH})
 
-set(REQUIRED_QT_VERSION 5.12.0)
+set(REQUIRED_QT_VERSION 5.14.0)
 find_package(Qt5 ${REQUIRED_QT_VERSION} CONFIG REQUIRED Widgets)
 include(KDEInstallDirs)
 include(KDEFrameworkCompilerSettings NO_POLICY_SCOPE)
 include(KDECMakeSettings)
 
-
 include(ECMGenerateExportHeader)
 include(ECMSetupVersion)
 include(ECMGenerateHeaders)
+include(ECMQtDeclareLoggingCategory)
 include(ECMAddQch)
 
 include(ECMPoQmTools)
@@ -41,7 +41,7 @@
 if (IS_DIRECTORY "${CMAKE_CURRENT_SOURCE_DIR}/po")
     ecm_install_po_files_as_qm(po)
 endif()
-add_definitions(-DQT_DISABLE_DEPRECATED_BEFORE=0x050d00)
+add_definitions(-DQT_DISABLE_DEPRECATED_BEFORE=0x050e00)
 add_definitions(-DQT_NO_FOREACH)
 add_subdirectory(src)
 if (BUILD_TESTING)

=== src/CMakeLists.txt ===

ecm_create_qm_loader(kitemviews_QM_LOADER kitemviews5_qt)

set(kitemviews_SRCS
  kcategorizedsortfilterproxymodel.cpp
  kcategorizedview.cpp
  kcategorydrawer.cpp
  kextendableitemdelegate.cpp
  kfilterproxysearchline.cpp
  klistwidgetsearchline.cpp
  ktreewidgetsearchline.cpp
  ktreewidgetsearchlinewidget.cpp
  kwidgetitemdelegate.cpp
  kwidgetitemdelegatepool.cpp
  ${kitemviews_QM_LOADER}
)

ecm_qt_declare_logging_category(kitemviews_SRCS
    HEADER kitemviews_debug.h
    IDENTIFIER KITEMVIEWS_LOG
    CATEGORY_NAME kf.itemviews
    DESCRIPTION "KItemViews"
    EXPORT KITEMVIEWS
)

add_library(KF5ItemViews ${kitemviews_SRCS})
add_library(KF5::ItemViews ALIAS KF5ItemViews)
ecm_generate_export_header(KF5ItemViews
    BASE_NAME KItemViews
    GROUP_BASE_NAME KF
    VERSION ${KF5_VERSION}
    DEPRECATED_BASE_VERSION 0
    DEPRECATION_VERSIONS 4.2 4.4 5.0 5.50
    EXCLUDE_DEPRECATED_BEFORE_AND_AT ${EXCLUDE_DEPRECATED_BEFORE_AND_AT}
)


target_include_directories(KF5ItemViews INTERFACE "$<INSTALL_INTERFACE:${KDE_INSTALL_INCLUDEDIR_KF5}/KItemViews>")

target_link_libraries(KF5ItemViews PUBLIC Qt5::Widgets)

set_target_properties(KF5ItemViews PROPERTIES VERSION   ${KITEMVIEWS_VERSION_STRING}
                                              SOVERSION ${KITEMVIEWS_SOVERSION}
                                              EXPORT_NAME ItemViews
)

ecm_generate_headers(KItemViews_HEADERS
  HEADER_NAMES
  KCategorizedSortFilterProxyModel
  KCategorizedView
  KCategoryDrawer
  KExtendableItemDelegate
  KFilterProxySearchLine
  KListWidgetSearchLine
  KTreeWidgetSearchLine
  KTreeWidgetSearchLineWidget
  KWidgetItemDelegate

  REQUIRED_HEADERS KItemViews_HEADERS
)

find_package(PythonModuleGeneration)

if (PythonModuleGeneration_FOUND)
  ecm_generate_python_binding(
    TARGET KF5::ItemViews
    PYTHONNAMESPACE PyKF5
    MODULENAME KItemViews
    SIP_DEPENDS
      QtWidgets/QtWidgetsmod.sip
    HEADERS
      kcategorizedsortfilterproxymodel.h
      kcategorizedview.h
      kcategorydrawer.h
      kextendableitemdelegate.h
      kfilterproxysearchline.h
      klistwidgetsearchline.h
      ktreewidgetsearchline.h
      ktreewidgetsearchlinewidget.h
      kwidgetitemdelegate.h
  )
endif()

install(TARGETS KF5ItemViews EXPORT KF5ItemViewsTargets ${KF5_INSTALL_TARGETS_DEFAULT_ARGS})

install(FILES
  ${CMAKE_CURRENT_BINARY_DIR}/kitemviews_export.h
  ${KItemViews_HEADERS}
  DESTINATION ${KDE_INSTALL_INCLUDEDIR_KF5}/KItemViews COMPONENT Devel
)

if(BUILD_DESIGNERPLUGIN)
    add_subdirectory(designer)
endif()

if(BUILD_QCH)
    ecm_add_qch(
        KF5ItemViews_QCH
        NAME KItemViews
        BASE_NAME KF5ItemViews
        VERSION ${KF5_VERSION}
        ORG_DOMAIN org.kde
        SOURCES # using only public headers, to cover only public API
            ${KItemViews_HEADERS}
        MD_MAINPAGE "${CMAKE_SOURCE_DIR}/README.md"
        LINK_QCHS
            Qt5Widgets_QCH
            Qt5Gui_QCH
            Qt5Core_QCH
        INCLUDE_DIRS
            ${CMAKE_CURRENT_BINARY_DIR}
        BLANK_MACROS
            KITEMVIEWS_EXPORT
            KITEMVIEWS_DEPRECATED
            KITEMVIEWS_DEPRECATED_EXPORT
            "KITEMVIEWS_DEPRECATED_VERSION(x, y, t)"
        TAGFILE_INSTALL_DESTINATION ${KDE_INSTALL_QTQCHDIR}
        QCH_INSTALL_DESTINATION ${KDE_INSTALL_QTQCHDIR}
        COMPONENT Devel
    )
endif()

include(ECMGeneratePriFile)
ecm_generate_pri_file(BASE_NAME KItemViews LIB_NAME KF5ItemViews DEPS "widgets" FILENAME_VAR PRI_FILENAME INCLUDE_INSTALL_DIR ${KDE_INSTALL_INCLUDEDIR_KF5}/KItemViews)
install(FILES ${PRI_FILENAME} DESTINATION ${ECM_MKSPECS_INSTALL_DIR})

ecm_qt_install_logging_categories(
    EXPORT KITEMVIEWS
    FILE kitemviews.categories
    DESTINATION "${KDE_INSTALL_LOGGINGCATEGORIESDIR}"
)

=== debian/changelog ===
kitemviews (5.78.0-2) unstable; urgency=medium

  * Release to unstable.

 -- Norbert Preining <norbert@preining.info>  Sun, 17 Jan 2021 12:02:23 +0900

kitemviews (5.78.0-1) experimental; urgency=medium

  [ Norbert Preining ]
  * New upstream release (5.78.0).
  * Update build-deps and deps with the info from cmake.

 -- Norbert Preining <norbert@preining.info>  Wed, 13 Jan 2021 10:32:42 +0900

kitemviews (5.77.0-2) unstable; urgency=medium

  * Release to unstable.

 -- Norbert Preining <norbert@preining.info>  Tue, 22 Dec 2020 10:33:35 +0900

kitemviews (5.77.0-1) experimental; urgency=medium

  [ Norbert Preining ]
  * Bump Standards-Version to 4.5.1 (No changes needed).
  * New upstream release (5.77.0).
  * Update build-deps and deps with the info from cmake.
  * Add myself to Uploaders.
  * Update maintainer to Debian Qt/KDE Maintainers.

 -- Norbert Preining <norbert@preining.info>  Fri, 18 Dec 2020 10:03:54 +0900

kitemviews (5.74.0-2) unstable; urgency=medium

  * Team upload to unstable.

 -- Sandro Knauß <hefee@debian.org>  Mon, 19 Oct 2020 23:14:32 +0200

kitemviews (5.74.0-1) experimental; urgency=medium

  * Team upload.

  [ Sandro Knauß ]
  * New upstream release (5.74.0).
  * Update build-deps and deps with the info from cmake.
  * Update libkf5itemviews-data.install.
  * Update Homepage link to point to new invent.kde.org
  * Update repository related entries to metadata file.
  * Update field Source in debian/copyright to invent.kde.org move.
  * Add Bug-* entries to metadata file.

 -- Sandro Knauß <hefee@debian.org>  Sun, 27 Sep 2020 17:44:32 +0200

=== debian/control ===
Source: kitemviews
Section: libs
Priority: optional
Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Maximiliano Curia <maxy@debian.org>,
           Norbert Preining <norbert@preining.info>
Build-Depends: cmake (>= 3.5~),
               debhelper-compat (= 13),
               doxygen,
               extra-cmake-modules (>= 5.78.0~),
               graphviz,
               libqt5sql5-sqlite:native,
               pkg-kde-tools (>= 0.15.15ubuntu1~),
               qtbase5-dev (>= 5.14.0~),
               qttools5-dev (>= 5.4),
               qttools5-dev-tools (>= 5.4)
Standards-Version: 4.5.1
Homepage: https://invent.kde.org/frameworks/kitemviews
Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/kitemviews
Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/kitemviews.git
Rules-Requires-Root: no

Package: libkf5itemviews-data
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: Qt library with additional widgets for ItemModels
 A Qt library which contains additional widgets for ItemModels, such as
 grouping into categories and filtering
 .
 This package is part of KDE Frameworks 5.
 .
 This package contains the translations.

Package: libkf5itemviews-dev
Architecture: any
Section: libdevel
Depends: libkf5itemviews5 (= ${binary:Version}),
         qtbase5-dev (>= 5.14.0~),
         ${misc:Depends},
         ${shlibs:Depends}
Recommends: libkf5itemviews-doc (= ${source:Version})
Description: Qt library with additional widgets for ItemModels
 A Qt library which contains additional widgets for ItemModels, such as
 grouping into categories and filtering
 .
 This package is part of KDE Frameworks 5.
 .
 This package contains the development files.
Breaks: kio-dev (<< 5.28),
        libkf5iconthemes-dev (<< 5.54),
        libkf5kcmutils-dev (<< 5.54),
        libkf5kio-dev (<< 5.54),
        libkf5xmlgui-dev (<< 5.54)

Package: libkf5itemviews-doc
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}
Description: Qt library with additional widgets for ItemModels (documentation)
 A Qt library which contains additional widgets for ItemModels, such as
 grouping into categories and filtering
 .
 This package is part of KDE Frameworks 5.
 .
 This package contains the qch documentation files.
Section: doc

Package: libkf5itemviews5
Architecture: any
Multi-Arch: same
Depends: libkf5itemviews-data (= ${source:Version}),
         ${misc:Depends},
         ${shlibs:Depends}
Description: Qt library with additional widgets for ItemModels
 A Qt library which contains additional widgets for ItemModels, such as
 grouping into categories and filtering
 .
 This package is part of KDE Frameworks 5.
Breaks: kdesignerplugin (<< 5.54),
        kio (<< 5.54),
        kross (<< 5.42),
        libkf5iconthemes5 (<< 5.54),
        libkf5kcmutils5 (<< 5.54),
        libkf5kdelibs4support5 (<< 5.42),
        libkf5kdelibs4support5-bin (<< 5.54),
        libkf5kiofilewidgets5 (<< 5.54),
        libkf5newstuff5 (<< 5.54),
        libkf5peoplewidgets5 (<< 5.54),
        libkf5texteditor5 (<< 5.54),
        libkf5xmlgui5 (<< 5.54)

## kitemviews 5.80.0

=== debian/changelog ===
kitemviews (5.80.0-0ubuntu1) hirsute; urgency=medium

  * New upstream release (5.80.0)

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Thu, 18 Mar 2021 11:08:21 +0000

kitemviews (5.79.0-0ubuntu1) hirsute; urgency=medium

  * New upstream release (5.79.0)

 -- Rik Mills <rikmills@kde.org>  Sat, 13 Feb 2021 12:22:25 +0000

kitemviews (5.78.0-2ubuntu1) hirsute; urgency=medium

  * Merge from debian unstable. Remaining changes:
    - Kubuntu Vcs fields.
    - debian/tests: Disable testsuite.
    - Symbols file update.

 -- Rik Mills <rikmills@kde.org>  Sun, 31 Jan 2021 15:57:55 +0000

kitemviews (5.78.0-0ubuntu1) hirsute; urgency=medium

  * New upstream release (5.78.0)
  * Update symbols from build logs.

 -- Rik Mills <rikmills@kde.org>  Sat, 09 Jan 2021 09:56:54 +0000

kitemviews (5.77.0-2ubuntu1) hirsute; urgency=medium

  * Merge from debian unstable. Remaining changes:
    - Kubuntu Vcs fields.
    - debian/tests: Disable testsuite.

 -- Rik Mills <rikmills@kde.org>  Mon, 04 Jan 2021 16:31:07 +0000

kitemviews (5.77.0-0ubuntu1) hirsute; urgency=medium

  * New upstream release (5.77.0)

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Sun, 13 Dec 2020 20:10:46 +0000

kitemviews (5.76.0-0ubuntu1) hirsute; urgency=medium

  * New upstream release (5.75.0)
  * New upstream release (5.76.0)

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Sat, 14 Nov 2020 13:23:17 +0000

=== debian/control ===
--- 
+++ 
@@ -7,17 +7,17 @@
 Build-Depends: cmake (>= 3.5~),
                debhelper-compat (= 13),
                doxygen,
-               extra-cmake-modules (>= 5.78.0~),
+               extra-cmake-modules (>= 5.80.0~),
                graphviz,
                libqt5sql5-sqlite:native,
                pkg-kde-tools (>= 0.15.15ubuntu1~),
                qtbase5-dev (>= 5.14.0~),
                qttools5-dev (>= 5.4),
-               qttools5-dev-tools (>= 5.4)
+               qttools5-dev-tools (>= 5.4),
 Standards-Version: 4.5.1
 Homepage: https://invent.kde.org/frameworks/kitemviews
-Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/kitemviews
-Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/kitemviews.git
+Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kitemviews
+Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kitemviews
 Rules-Requires-Root: no
 
 Package: libkf5itemviews-data
@@ -38,7 +38,7 @@
 Depends: libkf5itemviews5 (= ${binary:Version}),
          qtbase5-dev (>= 5.14.0~),
          ${misc:Depends},
-         ${shlibs:Depends}
+         ${shlibs:Depends},
 Recommends: libkf5itemviews-doc (= ${source:Version})
 Description: Qt library with additional widgets for ItemModels
  A Qt library which contains additional widgets for ItemModels, such as

## kitemviews 5.86.0

=== debian/changelog ===
kitemviews (5.86.0-0ubuntu1) impish; urgency=medium

  * New upstream release (5.86.0)

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Mon, 13 Sep 2021 12:48:30 +0100

kitemviews (5.85.0-0ubuntu1) impish; urgency=medium

  * New upstream release (5.85.0)

 -- Rik Mills <rikmills@kde.org>  Fri, 13 Aug 2021 11:27:45 +0100

kitemviews (5.84.0-0ubuntu1) impish; urgency=medium

  * New upstream release (5.84.0)

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Sun, 11 Jul 2021 09:00:45 +0100

kitemviews (5.83.0-0ubuntu1) impish; urgency=medium

  * New upstream release (5.83.0)

 -- Rik Mills <rikmills@kde.org>  Sat, 12 Jun 2021 12:17:42 +0100

kitemviews (5.82.0-0ubuntu1) impish; urgency=medium

  * New upstream release (5.82.0)

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Sat, 08 May 2021 11:57:28 +0100

kitemviews (5.81.0-0ubuntu1) impish; urgency=medium

  * New upstream release (5.81.0)

 -- Rik Mills <rikmills@kde.org>  Wed, 28 Apr 2021 10:29:53 +0100

=== debian/control ===
--- 
+++ 
@@ -7,7 +7,7 @@
 Build-Depends: cmake (>= 3.5~),
                debhelper-compat (= 13),
                doxygen,
-               extra-cmake-modules (>= 5.80.0~),
+               extra-cmake-modules (>= 5.86.0~),
                graphviz,
                libqt5sql5-sqlite:native,
                pkg-kde-tools (>= 0.15.15ubuntu1~),
